----------------------------------------
-- Group Calendar 5 Copyright 2009 John Stephen, wobbleworks.com
-- All rights reserved, unauthorized redistribution is prohibited
----------------------------------------

GroupCalendar._Alts = {}

function GroupCalendar._Alts:Construct()
end

function GroupCalendar.PlayerNameAutocomplete(pEditBox, ...)
	if GroupCalendar:AutoCompleteGuildMember(pEditBox)
	or GroupCalendar:AutoCompleteAlt(pEditBox)
	or GroupCalendar:AutoCompleteFriend(pEditBox) then
		return
	end
end

function GroupCalendar:AutoCompleteAlt(pEditBox)
	local vEditBoxText = pEditBox:GetText():upper()
	local vEditBoxTextLength = vEditBoxText:len()
	local vPlayerFactionGroup = UnitFactionGroup("player")
	
	for vCharacterGUID, vCharacterInfo in pairs(self.RealmData.Characters) do
		if vCharacterInfo.Faction == vPlayerFactionGroup
		and vEditBoxText == vCharacterInfo.Name:upper():sub(1, vEditBoxTextLength) then
			GroupCalendar:SetEditBoxAutoCompleteText(pEditBox, vCharacterInfo.Name)
			return true
		end
	end
	
	return false
end

function GroupCalendar:AutoCompleteFriend(pEditBox)
	local vNumFriends = GetNumFriends()
	
	if vNumFriends == 0 then
		return false
	end
	
	local vEditBoxText = pEditBox:GetText():upper()
	local vEditBoxTextLength = vEditBoxText:len()
	
	for vIndex = 1, vNumFriends do
		local vName = GetFriendInfo(vIndex)
		
		if vName:upper():sub(1, vEditBoxTextLength) == vEditBoxText then
			GroupCalendar:SetEditBoxAutoCompleteText(pEditBox, vName)
			return true
		end
	end
	
	return false
end

function GroupCalendar:AutoCompleteGuildMember(pEditBox)
	local vNumMembers = GetNumGuildMembers(true)
	
	if vNumMembers == 0 then
		return false
	end
	
	local vEditBoxText = pEditBox:GetText():upper()
	local vEditBoxTextLength = vEditBoxText:len()
	
	for vIndex = 1, vNumMembers do
		local vName = GetGuildRosterInfo(vIndex)
		
		if vEditBoxText == vName:upper():sub(1, vEditBoxTextLength) then
			GroupCalendar:SetEditBoxAutoCompleteText(pEditBox, vName)
			return true
		end
	end
	
	return false
end
